Wrong plugin blocked URL

The place to report Pale Moon specific bugs.

Moderator: Indalecio

Wrong plugin blocked URL

Postby access2godzilla » Mon Jul 08, 2013 12:29 pm

Plugins known to be vulnerable are blocked by PM/FF and these plugins carry a message (in the Add-ons>Plugins list) that "xyz is known to be vulnerable and should be updated [More]", where "[More]" is a link containing details.

PM opens the wrong URL when [More] is clicked:
Code: Select all
https://addons.mozilla.org/en-US/firefox/palemoon/blocked/p178


but it should be actually:
Code: Select all
https://addons.mozilla.org/en-US/firefox/blocked/p178


Please fix this bug.
access2godzilla
Lunatic
Lunatic
 
Posts: 623
Joined: Tue May 14, 2013 6:31 am
Location: /dev/null

Re: Wrong plugin blocked URL

Postby Moonchild » Mon Jul 08, 2013 12:43 pm

Thanks for reporting this.

It's a pref bug, and actually should not even forward to that URL (so it's a Mozilla code parsing bug as well, by the looks of it).
You can fix it on-the fly by going to about:config and changing extensions.blocklist.itemURL to https://addons.mozilla.org/%LOCALE%/firefox/blocked/%blockID% and exiting&restarting the browser.

I'll change this default pref in the next version of Pale Moon to the correct one.
Please do not send me private messages for anything that could also be posted in the public boards.
User avatar
Moonchild
Pale Moon guru
Pale Moon guru
 
Posts: 9052
Joined: Sun Aug 28, 2011 5:27 pm
Location: Sweden


Return to Bug reports

Who is online

Users browsing this forum: Google [Bot], Google Adsense [Bot] and 2 guests